summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorSam James <sam@gentoo.org>2022-04-16 07:26:42 +0100
committerSam James <sam@gentoo.org>2022-04-17 17:23:30 +0100
commita1a498f47f0568471f944df8a96732c4dd8f6287 (patch)
tree245c24e7127813b79a8f57ae5ab04b482abc9b6e /eclass
parentdev-lua/luaposix: Stabilize 35.1 x86, #838967 (diff)
downloadgentoo-a1a498f47f0568471f944df8a96732c4dd8f6287.tar.gz
gentoo-a1a498f47f0568471f944df8a96732c4dd8f6287.tar.bz2
gentoo-a1a498f47f0568471f944df8a96732c4dd8f6287.zip
gnuconfig.eclass: fix eend w/o ebegin
eend should be preceded by an begin call. Closes: https://bugs.gentoo.org/838859 Signed-off-by: Sam James <sam@gentoo.org>
Diffstat (limited to 'eclass')
-rw-r--r--eclass/gnuconfig.eclass6
1 files changed, 3 insertions, 3 deletions
diff --git a/eclass/gnuconfig.eclass b/eclass/gnuconfig.eclass
index 58bdcfd660a6..0791798632cd 100644
--- a/eclass/gnuconfig.eclass
+++ b/eclass/gnuconfig.eclass
@@ -1,4 +1,4 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
# @ECLASS: gnuconfig.eclass
@@ -84,9 +84,9 @@ gnuconfig_do_update() {
if [[ -n ${targetlist} ]] ; then
for target in ${targetlist} ; do
[[ -L ${target} ]] && rm -f "${target}"
- einfo " Updating ${target/$startdir\//}"
+ ebegin " Updating ${target/$startdir\//}"
cp -f "${configsubs_dir}/${file}" "${target}"
- eend $?
+ eend $? || die
done
else
ewarn " No ${file} found in ${startdir}, skipping ..."